บล็อก: รับ

ดึงข้อมูลบล็อกตามรหัส ลองใช้เลย หรือ ดูตัวอย่าง

ต้องมีการให้สิทธิ์หากบล็อกเป็นแบบส่วนตัว หากบล็อกเป็นแบบสาธารณะ ก็สามารถเรียกใช้เมธอดนี้ได้โดยไม่ต้องมีการให้สิทธิ์

ส่งคำขอ

คำขอ HTTP

GET https://www.googleapis.com/blogger/v3/blogs/blogId

พารามิเตอร์

ชื่อพารามิเตอร์ ค่า คำอธิบาย
พารามิเตอร์ที่จำเป็น
blogId string รหัสของบล็อกที่จะรับ
พารามิเตอร์ที่ไม่บังคับ
maxPosts unsigned integer จำนวนสูงสุดของโพสต์ที่จะดึงข้อมูลพร้อมกับบล็อก เมื่อไม่ได้ระบุพารามิเตอร์นี้ ระบบจะไม่แสดงโพสต์เป็นส่วนหนึ่งของทรัพยากรบล็อก

เนื้อความของคำขอ

อย่าระบุเนื้อความของคำขอด้วยเมธอดนี้

คำตอบ

หากทำสำเร็จ เมธอดนี้จะแสดงทรัพยากร Blogs ในเนื้อหาการตอบกลับ

ตัวอย่าง

หมายเหตุ: ตัวอย่างโค้ดที่มีสำหรับวิธีการนี้ไม่ได้แสดงถึงภาษาโปรแกรมที่รองรับทั้งหมด (ดูรายการภาษาที่รองรับได้ในหน้าไลบรารีของไคลเอ็นต์)

Java

ใช้ไลบรารีของไคลเอ็นต์ Java

// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";

// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory();
class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID);
// Restrict the result content to just the data we need.blogGetAction.setFields(

"description,name,posts/totalItems,updated");// This step sends the r

equest to the server.Blog blog = blogGetActio
n.execute();
// Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>

ลองใช้งาน

ใช้โปรแกรมสำรวจ API ด้านล่างเพื่อเรียกใช้เมธอดนี้กับข้อมูลจริงและดูการตอบกลับ